> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete compliance check



## OpenAPI

````yaml /openapi.json delete /compliance/checks/{checkId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/checks/{checkId}:
    delete:
      tags:
        - compliance
      summary: Delete compliance check
      operationId: ComplianceController_deleteCheck
      parameters:
        - name: checkId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteComplianceCheckOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CheckNotFoundErrorDto'
              examples:
                CHECK_NOT_FOUND:
                  $ref: '#/components/schemas/CheckNotFoundErrorDto'
          description: ''
components:
  schemas:
    DeleteComplianceCheckOutput:
      type: object
      properties: {}
    CheckNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CHECK_NOT_FOUND
        message:
          type: string
          example: Check not found {checkId} for tenant {tenantId}
        details:
          $ref: '#/components/schemas/CheckNotFoundDto'
      required:
        - code
        - message
        - details
    CheckNotFoundDto:
      type: object
      properties:
        checkId:
          type: string
        tenantId:
          type: string
        alertId:
          type: string
      required:
        - checkId
        - tenantId

````